#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
#-----------------------------------------------------------------------------
Name		:	sysprof
Version		:	3.48.0
Release		:	17.2.0.rel%{?dist}
Summary		:	A system-wide Linux profiler

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	http://potrace.sourceforge.net

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	elogind-devel
BuildRequires	:	gcc 
BuildRequires	:	gcc-c++
BuildRequires	:	gettext
BuildRequires	:	itstool
BuildRequires	:	libadwaita-devel
BuildRequires	:	libdazzle-devel
BuildRequires	:	libunwind-devel
BuildRequires	:	ninja
BuildRequires	:	meson
BuildRequires	:	gtk
BuildRequires	:	polkit-devel

#-----------------------------------------------------------------------------
%description
Sysprof is a sampling CPU profiler for Linux that collects accurate,
high-precision data and provides efficient access to the sampled
calltrees.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root, -)
%license COPYING
%doc NEWS README.md AUTHORS
%{_bindir}/sysprof
%{_libdir}/lib%{name}-4.so
%{_libdir}/lib%{name}-memory-4.so
%{_libdir}/lib%{name}-speedtrack-4.so
%{_libdir}/lib%{name}-ui-5.so
%{_libdir}/lib%{name}-capture-4.a
%{_datadir}/applications/org.gnome.Sysprof.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/metainfo/org.gnome.Sysprof.appdata.xml
%{_datadir}/mime/packages/%{name}-mime.xml

#=============================================================================
%package		devel

Summary		:	%{name} development library and headers

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%{_includedir}/%{name}-4/*.h
%{_includedir}/%{name}-ui-5/*.h
%{_libdir}/pkgconfig/%{name}-4.pc
%{_libdir}/pkgconfig/%{name}-capture-4.pc
%{_libdir}/pkgconfig/%{name}-ui-5.pc
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof.Agent.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof2.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Service.xml
 

#=============================================================================
%package		cli

Summary		:	Sysprof command line utility

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}
#-----------------------------------------------------------------------------
%description		cli
The %{name}-cli package contains the sysprof-cli command line utility.

#-----------------------------------------------------------------------------
%files			cli	-f %{name}.lang
%{_bindir}/%{name}-cli
%{_libexecdir}/%{name}d
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof2.conf
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof3.conf
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof2.service
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof3.service
%{_datadir}/polkit-1/actions/org.gnome.sysprof3.policy

#=============================================================================
%package		agent

Summary		:	%{name} agent utility

#-----------------------------------------------------------------------------
%description		agent
The %{name}-agent package contains the sysprof-agent
program. It provides a P2P D-Bus API to the process
which can control subprocesses. It's used by IDE
tooling to have more control across container boundaries.

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%files			agent
%license COPYING
%{_bindir}/%{name}-agent

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir_p} _bld
pushd _bld
meson							\
	setup						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D systemdunitdir=/tmp 				\
	..


popd

ninja							\
	-C _bld


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	ninja						\
		-C _bld					\
		install

%{__rm} -fr						\
	%{buildroot}/tmp

%find_lang %{name} --with-gnome
#-----------------------------------------------------------------------------
%changelog
